<template>
  <div>
    <b-nav-item v-if="!isLoggedIn" href="/auth/login">Login</b-nav-item>
    <b-nav-dropdown v-else extra-toggle-classes=" py-0">
      <template slot="button-content" class=" py-0">
        <img class="avatar avatar-xs rounded-circle mr-xl-2" :src="user.avatar_url">
        <span class="d-none d-xl-inline-block">{{user.username}}</span>
      </template>
      <b-dropdown-item>Profile</b-dropdown-item>
      <b-dropdown-item>Settings</b-dropdown-item>
      <b-dropdown-item>My Events</b-dropdown-item>
      <b-dropdown-divider></b-dropdown-divider>
      <b-dropdown-item href="/auth/logout"><i class="ya ya-logout"></i>Logout</b-dropdown-item>
    </b-nav-dropdown>
  </div>
</template>

<script>
  export default {
    name: 'UserMenu',
    data () {
      return {
        isLoggedIn: true,
        user      : {
          username  : 'RoomBroom2010',
          avatar_url: 'https://yakuthemes.com/gameforest/img/user-1.jpg'
        }
      }
    }
  }
</script>

<style scoped>

</style>
